@import "https://fonts.bunny.net/css2?family=Roboto:wght@400;500;700&display=swap";

.table-top-wrapper {
    height: 200px;
    width: 100%;
    overflow: auto;
    display:inline-block;
}
.table-wrapper {
    height: 150px;
    width: 100%;
    overflow: auto;
    display: inline-block;
}

.vertical-center {
    display: inline-block; 
    height: 150px; 
    text-decoration: none;
    overflow: auto;
    width: 100%; 
    padding-top: 45px;
}

.label-overflow {
    white-space: nowrap; 
    overflow: hidden; 
    text-overflow: ellipsis;
}

:root {
/*    --primary:#4355b9;
    --on-primary:#ffffff;
    --primary-container:#dee0ff;
    --on-primary-container:#00105c;
    --secondary:#5b5d72;
    --on-secondary:#ffffff;
    --secondary-container:#e0e1f9;
    --on-secondary-container:#181a2c;
    --tertiary:#77536d;
    --on-tertiary:#ffffff;
    --tertiary-container:#ffd7f1;
    --on-tertiary-container:#2d1228;
    --error:#ba1a1a;
    --on-error:#ffffff;
    --error-container:#ffdad6;
    --on-error-container:#410002;
    --background:#fefbff;
    --on-background:#1b1b1f;
    --surface:#fbf8fd;
    --on-surface:#1b1b1f;
    --surface-variant:#e3e1ec;
    --on-surface-variant:#46464f;
    --outline:#767680;
    --outline-variant:#c7c5d0;
    --shadow:#000000;
    --scrim:#000000;
    --inverse-surface:#303034;
    --inverse-on-surface:#f3f0f4;
    --inverse-primary:#bac3ff;
    --surface-dim:#dcd9de;
    --surface-bright:#fbf8fd;
    --surface-container-lowest:#ffffff;
    --surface-container-low:#f6f2f7;
    --surface-container:#f0edf1;
    --surface-container-high:#eae7ec;
    --surface-container-highest:#e4e1e6;*/



    --primary:#65d3ff;
    --on-primary:#003546;
    --primary-container:#004d64;
    --on-primary-container:#bde9ff;
    --secondary:#b4cad6;
    --on-secondary:#1f333c;
    --secondary-container:#354a53;
    --on-secondary-container:#d0e6f2;
    --tertiary:#c6c2ea;
    --on-tertiary:#2e2d4d;
    --tertiary-container:#454364;
    --on-tertiary-container:#e3dfff;
    --error:#ffb4ab;
    --on-error:#690005;
    --error-container:#93000a;
    --on-error-container:#ffb4ab;
    --background:#191c1e;
    --on-background:#e1e2e4;
    --surface:#111415;
    --on-surface:#e1e2e4;
    --surface-variant:#40484c;
    --on-surface-variant:#c0c8cd;
    --outline:#8a9297;
    --outline-variant:#40484c;
    --shadow:#000000;
    --scrim:#000000;
    --inverse-surface:#e1e2e4;
    --inverse-on-surface:#2e3132;
    --inverse-primary:#006783;
    --surface-dim:#111415;
    --surface-bright:#373a3b;
    --surface-container-lowest:#0c0f10;
    --surface-container-low:#191c1e;
    --surface-container:#1d2022;
    --surface-container-high:#272a2c;
    --surface-container-highest:#323537;
/*    --primary:#006783;
    --on-primary:#ffffff;
    --primary-container:#bde9ff;
    --on-primary-container:#001f2a;
    --secondary:#4d616c;
    --on-secondary:#ffffff;
    --secondary-container:#d0e6f2;
    --on-secondary-container:#081e27;
    --tertiary:#5d5b7d;
    --on-tertiary:#ffffff;
    --tertiary-container:#e3dfff;
    --on-tertiary-container:#191836;
    --error:#ba1a1a;
    --on-error:#ffffff;
    --error-container:#ffdad6;
    --on-error-container:#410002;
    --background:#fbfcfe;
    --on-background:#191c1e;
    --surface:#f8f9fb;
    --on-surface:#191c1e;
    --surface-variant:#dce4e9;
    --on-surface-variant:#40484c;
    --outline:#70787d;
    --outline-variant:#c0c8cd;
    --shadow:#000000;
    --scrim:#000000;
    --inverse-surface:#2e3132;
    --inverse-on-surface:#eff1f3;
    --inverse-primary:#65d3ff;
    --surface-dim:#d9dadc;
    --surface-bright:#f8f9fb;
    --surface-container-lowest:#ffffff;
    --surface-container-low:#f2f4f6;
    --surface-container:#edeef0;
    --surface-container-high:#e7e8ea;
    --surface-container-highest:#e1e2e4;*/
}

.grayscale {
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
}

@media print {
    .no-print, .no-print * {
        display: none !important;
    }
}

.text-shadow {
    text-shadow: 1px 1px 7px #000000;
}